Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  Punkte aus Skizze exportieren

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Punkte aus Skizze exportieren (213 mal gelesen)
Stefanvp
Mitglied


Sehen Sie sich das Profil von Stefanvp an!   Senden Sie eine Private Message an Stefanvp  Schreiben Sie einen Gästebucheintrag für Stefanvp

Beiträge: 2
Registriert: 29.10.2018

erstellt am: 29. Okt. 2018 09:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Moin,

ich versuche gerade aus Inventor 2015 Punkte aus einer Skizze nach Excel zu exportieren. Ich hab im Netz schon genügend VBA Makros gefunden die Arbeitspunkte exportieren. Diese funktionieren auchn super (Siehe unten). Leider klappt dies nicht mit Punkten aus einer Skizze.

Bitte um Hilfe

THX

Stefan


Option Explicit
Public Sub AP_to_excel()
    Dim oPoint As Point
    Dim oWP As WorkPoint
    Dim od As PartDocument
    Set od = ThisApplication.ActiveDocument
    Dim oCompDef As PartComponentDefinition
    Set oCompDef = od.ComponentDefinition

    Dim iRow As Long
    Dim i As Long
    Dim XL As Object
    Dim xlWB As Object
    Dim xlWS As Object
    Set XL = CreateObject("Excel.Application")
    Set xlWB = XL.Workbooks.Add
    Set xlWS = xlWB.ActiveSheet
 
    XL.Application.Visible = True
    iRow = 1
    xlWS.Cells(iRow, 1).Value = "NAME"
    xlWS.Cells(iRow, 2).Value = "X"
    xlWS.Cells(iRow, 3).Value = "Y"
    xlWS.Cells(iRow, 4).Value = "Z"
 
 
    For i = 1 To od.ComponentDefinition.WorkPoints.Count
    Set oWP = od.ComponentDefinition.WorkPoints.Item(i)
    Debug.Print oCompDef.WorkPoints.Item(i).Name
    Debug.Print oCompDef.WorkPoints.Item(i).Point.X
    Debug.Print oCompDef.WorkPoints.Item(i).Point.Y
    Debug.Print oCompDef.WorkPoints.Item(i).Point.Z

        xlWS.Cells((i + 1), 1).Value = oCompDef.WorkPoints.Item(i).Name
        xlWS.Cells((i + 1), 2).Value = oCompDef.WorkPoints.Item(i).Point.X
        xlWS.Cells((i + 1), 3).Value = oCompDef.WorkPoints.Item(i).Point.Y
        xlWS.Cells((i + 1), 4).Value = oCompDef.WorkPoints.Item(i).Point.Z
    Next
    'Passt Größe der Zeilen und Spalten an die Werte an
        XL.Cells.Select
        XL.Cells.EntireColumn.AutoFit
        xlWS.Range("A1").Select
End Sub

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

GeorgK
Mitglied



Sehen Sie sich das Profil von GeorgK an!   Senden Sie eine Private Message an GeorgK  Schreiben Sie einen Gästebucheintrag für GeorgK

Beiträge: 613
Registriert: 06.06.2001

Inventor 2017
Siemens NX 8.5 - 12.0
Autocad Mechanical 2017
Catia V5R19
3,4 GHz; 64 GB RAM
Windows 10
openSUSE Leap 42.3
Visual Studio 2010 - 2017
Windows 2012 R2
Vault 2017

erstellt am: 29. Okt. 2018 10:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Stefanvp 10 Unities + Antwort hilfreich

Stefanvp
Mitglied


Sehen Sie sich das Profil von Stefanvp an!   Senden Sie eine Private Message an Stefanvp  Schreiben Sie einen Gästebucheintrag für Stefanvp

Beiträge: 2
Registriert: 29.10.2018

erstellt am: 29. Okt. 2018 10:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hey,

danke für den Link. Dieser funktioniert leider auch nur mit Arbeitspunkten. Ich kann jedoch in der Skizze kleine Arbeitspunkte erstellen.... Wenn ich jeden Skizzenpunkt in einen Abreitspunkt uwmandeln soll, ist mir dies bei geschätzten 300 Punkten zu viel Arbeit. Gibt es hier evtl. eine andere Lösung?

MfG

Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Steffen595
Mitglied
Konstrukteur


Sehen Sie sich das Profil von Steffen595 an!   Senden Sie eine Private Message an Steffen595  Schreiben Sie einen Gästebucheintrag für Steffen595

Beiträge: 1228
Registriert: 24.03.2004

IV2018 Professional SP1
Vault 2016 Professional Update 1
16GB RAM
Windows Se7en SP1 64bit

erstellt am: 29. Okt. 2018 23:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Stefanvp 10 Unities + Antwort hilfreich

vielleicht Bohrungen machen, dann dxf exprot von Oberflaeche, dann ins Autocad, dann EATTEXT Bohrungsmittelpunkte exprtieren. Nicht schoen, aber immer noch besser als von Hand zu Fuss

------------------
alle Räder stehen still, wenn Kinematiks starker Arm das will

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

GeorgK
Mitglied



Sehen Sie sich das Profil von GeorgK an!   Senden Sie eine Private Message an GeorgK  Schreiben Sie einen Gästebucheintrag für GeorgK

Beiträge: 613
Registriert: 06.06.2001

Inventor 2017
Siemens NX 8.5 - 12.0
Autocad Mechanical 2017
Catia V5R19
3,4 GHz; 64 GB RAM
Windows 10
openSUSE Leap 42.3
Visual Studio 2010 - 2017
Windows 2012 R2
Vault 2017

erstellt am: 30. Okt. 2018 08:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Stefanvp 10 Unities + Antwort hilfreich

GeorgK
Mitglied



Sehen Sie sich das Profil von GeorgK an!   Senden Sie eine Private Message an GeorgK  Schreiben Sie einen Gästebucheintrag für GeorgK

Beiträge: 613
Registriert: 06.06.2001

Inventor 2017
Siemens NX 8.5 - 12.0
Autocad Mechanical 2017
Catia V5R19
3,4 GHz; 64 GB RAM
Windows 10
openSUSE Leap 42.3
Visual Studio 2010 - 2017
Windows 2012 R2
Vault 2017

erstellt am: 30. Okt. 2018 09:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Stefanvp 10 Unities + Antwort hilfreich

        'Get the active part document.
        Dim oPartDoc As PartDocument
        oPartDoc = m_invApp.ActiveDocument
        Dim oPartDef As PartComponentDefinition
        oPartDef = oPartDoc.ComponentDefinition
        ' Get an existing sketch.  This arbitrarily gets the first sketch.
        Dim oSketch As PlanarSketch
        oSketch = oPartDef.Sketches.Item(1)

        Dim oSketchPoint As SketchPoint
        For Each oSketchPoint In oSketch.SketchPoints
            Debug.Print(oSketchPoint.Geometry.X & "  " & oSketchPoint.Geometry.Y)
        Next

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz